;****************************************************************
;*  REG310.INC, letzte nderung: 18.04.94, Bodo Wenzel		*
;*								*
;*	Vordefinierte Namen fr NEC 78310/312/310A/312A 	*
;*	=============================================== 	*
;*								*
;****************************************************************

;================================================================
;	Ports
;----------------------------------------------------------------
p0	equ	0FF00H
p1	equ	0FF01H
p2	equ	0FF02H
p3	equ	0FF03H
p4	equ	0FF04H
p5	equ	0FF05H
pm0	equ	0FF20H
pm1	equ	0FF21H
pm2	equ	0FF22H
pm3	equ	0FF23H
pm5	equ	0FF25H
pmc2	equ	0FF32H
pmc3	equ	0FF33H
rtpc	equ	0FF38H
p0l	equ	0FF3AH
p0h	equ	0FF3BH
;================================================================
;	Auf/Ab-Zhler mit Fangregistern
;----------------------------------------------------------------
cr00l	equ	0FF08H
cr00h	equ	0FF09H
cr00	equ	0FF08H		;16-Bit
cr01l	equ	0FF0AH
cr01h	equ	0FF0BH
cr01	equ	0FF0AH		;16-Bit
cr10l	equ	0FF0CH
cr10h	equ	0FF0DH
cr10	equ	0FF0CH		;16-Bit
cr11l	equ	0FF0EH
cr11h	equ	0FF0FH
cr11	equ	0FF0EH		;16-Bit
udc0l	equ	0FF1CH
udc0h	equ	0FF1DH
udc0	equ	0FF1CH		;16-Bit
udc1l	equ	0FF1EH
udc1h	equ	0FF1FH
udc1	equ	0FF1EH		;16-Bit
cuim	equ	0FF70H
udcc0	equ	0FF72H
crc	equ	0FF74H
udcc1	equ	0FF7AH
;================================================================
;	Fang-Einheit
;----------------------------------------------------------------
cpt0l	equ	0FF10H
cpt0h	equ	0FF11H
cpt0	equ	0FF10H		;16-Bit
cpt1l	equ	0FF12H
cpt1h	equ	0FF13H
cpt1	equ	0FF12H		;16-Bit
frcc	equ	0FF60H
cptm	equ	0FF64H
;================================================================
;	Pulsweiten-Modulator
;----------------------------------------------------------------
pwm0l	equ	0FF14H
pwm0h	equ	0FF15H
pwm0	equ	0FF14H		;16-Bit
pwm1l	equ	0FF16H
pwm1h	equ	0FF17H
pwm1	equ	0FF16H		;16-Bit
pwmm	equ	0FF66H
;================================================================
;	Zeitnehmer
;----------------------------------------------------------------
tmc0	equ	0FF80H
tmc1	equ	0FF82H
tm0l	equ	0FF88H
tm0h	equ	0FF89H
tm0	equ	0FF88H		;16-Bit
md0l	equ	0FF8AH
md0h	equ	0FF8BH
md0	equ	0FF8AH		;16-Bit
tm1l	equ	0FF8CH
tm1h	equ	0FF8DH
tm1	equ	0FF8CH		;16-Bit
md1l	equ	0FF8EH
md1h	equ	0FF8FH
md1	equ	0FF8EH		;16-Bit
;================================================================
;	Serielle Schnittstelle
;----------------------------------------------------------------
scm	equ	0FF50H
scc	equ	0FF52H
brg	equ	0FF53H
rxb	equ	0FF56H
txb	equ	0FF57H
;================================================================
;	Analog-Digital-Umsetzer
;----------------------------------------------------------------
adm	equ	0FF68H
adcr	equ	0FF6AH
;================================================================
;	Interrupts
;----------------------------------------------------------------
intm	equ	0FF48H
ispr	equ	0FF4AH
cric00	equ	0FFC0H
cric01	equ	0FFC2H
cric10	equ	0FFC4H
cric11	equ	0FFC6H
exic0	equ	0FFC8H
exic1	equ	0FFCAH
exic2	equ	0FFCCH
tmic0	equ	0FFCEH
tmic1	equ	0FFD0H
tmic2	equ	0FFD2H
seic	equ	0FFDAH
sric	equ	0FFDCH
stic	equ	0FFDEH
adic	equ	0FFE0H
tbic	equ	0FFE2H
;================================================================
;	Makroservice-Register
;----------------------------------------------------------------
crms00	equ	0FFC1H
crms10	equ	0FFC5H
exms0	equ	0FFC9H
exms1	equ	0FFCBH
exms2	equ	0FFCDH
tmms0	equ	0FFCFH
tmms1	equ	0FFD1H
tmms2	equ	0FFD3H
srms	equ	0FFDDH
stms	equ	0FFDFH
adms	equ	0FFE1H
;================================================================
;	Diverse Kontrollregister
;----------------------------------------------------------------
mm	equ	0FF40H
rfm	equ	0FF41H
wdm	equ	0FF42H
stbc	equ	0FF44H
tbm	equ	0FF46H
ccw	equ	0FF4EH
;=== Ende =======================================================
