;****************************************************************
;*  REG252.INC, letzte nderung: 12.05.94, Bodo Wenzel		*
;*								*
;*		Vordefinierte Namen fr 80252			*
;*		=============================			*
;*								*
;****************************************************************

;================================================================
;	Rechenwerk
;----------------------------------------------------------------
acc	equ	0E0H	;Bit-adressierbar
psw	equ	0D0H	;Bit-adressierbar
cy	bit	psw.7
ac	bit	psw.6
f0	bit	psw.5
rs1	bit	psw.4
rs0	bit	psw.3
ov	bit	psw.2
p	bit	psw.0
b	equ	0F0H	;Bit-adressierbar
sp	equ	081H
dpl	equ	082H
dph	equ	083H
pcon	equ	087H
;================================================================
;	Ports
;----------------------------------------------------------------
p0	equ	080H	;Bit-adressierbar
p1	equ	090H	;Bit-adressierbar
c4ex	bit	p1.7
c3ex	bit	p1.6
c2ex	bit	p1.5
c1ex	bit	p1.4
c0ex	bit	p1.3
c	bit	p1.2
t2ex	bit	p1.1
t2	bit	p1.0
p2	equ	0A0H	;Bit-adressierbar
p3	equ	0B0H	;Bit-adressierbar
rd	bit	p3.7
wr	bit	p3.6
t1	bit	p3.5
t0	bit	p3.4
int1	bit	p3.3
int0	bit	p3.2
txd	bit	p3.1
rxd	bit	p3.0
;================================================================
;	Zhler
;----------------------------------------------------------------
tmod	equ	089H
tcon	equ	088H	;Bit-adressierbar
tf1	bit	tcon.7
tr1	bit	tcon.6
tf0	bit	tcon.5
tr0	bit	tcon.4
ie1	bit	tcon.3
it1	bit	tcon.2
ie0	bit	tcon.1
it0	bit	tcon.0
tl0	equ	08AH
th0	equ	08CH
tl1	equ	08BH
th1	equ	08DH
;================================================================
;	Speicher/Vergleichswerk
;----------------------------------------------------------------
t2con	equ	0C8H	;Bit-adressierbar
tf2	bit	t2con.7
t2ip	bit	t2con.6
t2ie	bit	t2con.5
t2rsen	bit	t2con.4
bgen	bit	t2con.3
tr2	bit	t2con.2
c_t2	bit	t2con.1
cp_rl2	bit	t2con.0
t2mod	equ	0C9H
rcap2l	equ	0CAH
rcap2h	equ	0CBH
tl2	equ	0CCH
th2	equ	0CDH
ccon	equ	0D8H	;Bit-adressierbar
cf	bit	ccon.7
cr	bit	ccon.6
ccf4	bit	ccon.4
ccf3	bit	ccon.3
ccf2	bit	ccon.2
ccf1	bit	ccon.1
ccf0	bit	ccon.0
cmod	equ	0D9H
ccapm0	equ	0DAH
ccapm1	equ	0DBH
ccapm2	equ	0DCH
ccapm3	equ	0DDH
ccapm4	equ	0DEH
cl	equ	0E9H
ccap0l	equ	0EAH
ccap1l	equ	0EBH
ccap2l	equ	0ECH
ccap3l	equ	0EDH
ccap4l	equ	0EEH
ch	equ	0F9H
ccap0h	equ	0FAH
ccap1h	equ	0FBH
ccap2h	equ	0FCH
ccap3h	equ	0FDH
ccap4h	equ	0FEH
;================================================================
;	Serielle Schnittstelle
;----------------------------------------------------------------
scon	equ	098H	;Bit-adressierbar
sm0	bit	scon.7
sm1	bit	scon.6
sm2	bit	scon.5
ren	bit	scon.4
tb8	bit	scon.3
rb8	bit	scon.2
ti	bit	scon.1
ri	bit	scon.0
sbuf	equ	099H
;================================================================
;	Verschiedene
;----------------------------------------------------------------
saddr	equ	0A9H
saden	equ	0B9H
;================================================================
;	Interrupts
;----------------------------------------------------------------
ip	equ	0B8H	;Bit-adressierbar
pc	bit	ip.6
pt2	bit	ip.5
ps	bit	ip.4
pt1	bit	ip.3
px1	bit	ip.2
pt0	bit	ip.1
px0	bit	ip.0
ie	equ	0A8H	;Bit-adressierbar
ea	bit	ie.7
es	bit	ie.4
et1	bit	ie.3
ex1	bit	ie.2
et0	bit	ie.1
ex0	bit	ie.0
;=== Ende =======================================================
