;****************************************************************
;*  REG515.INC, letzte nderung: 12.05.94, Bodo Wenzel		*
;*								*
;*		Vordefinierte Namen fr 80515			*
;*		=============================			*
;*								*
;****************************************************************

;================================================================
;	Rechenwerk
;----------------------------------------------------------------
acc	equ	0E0H	;Bit-adressierbar
psw	equ	0D0H	;Bit-adressierbar
cy	bit	psw.7
ac	bit	psw.6
f0	bit	psw.5
rs1	bit	psw.4
rs0	bit	psw.3
ov	bit	psw.2
f1	bit	psw.1
p	bit	psw.0
b	equ	0F0H	;Bit-adressierbar
sp	equ	081H
dpl	equ	082H
dph	equ	083H
pcon	equ	087H
;================================================================
;	Ports
;----------------------------------------------------------------
p0	equ	080H	;Bit-adressierbar
p1	equ	090H	;Bit-adressierbar
p2	equ	0A0H	;Bit-adressierbar
p3	equ	0B0H	;Bit-adressierbar
rd	bit	p3.7
wr	bit	p3.6
t1	bit	p3.5
t0	bit	p3.4
int1	bit	p3.3
int0	bit	p3.2
txd	bit	p3.1
rxd	bit	p3.0
p4	equ	0E8H	;Bit-adressierbar
p5	equ	0F8H	;Bit-adressierbar
;================================================================
;	Zhler
;----------------------------------------------------------------
tmod	equ	089H
tcon	equ	088H	;Bit-adressierbar
tf1	bit	tcon.7
tr1	bit	tcon.6
tf0	bit	tcon.5
tr0	bit	tcon.4
ie1	bit	tcon.3
it1	bit	tcon.2
ie0	bit	tcon.1
it0	bit	tcon.0
tl0	equ	08AH
th0	equ	08CH
tl1	equ	08BH
th1	equ	08DH
;================================================================
;	Speicher/Vergleichswerk
;----------------------------------------------------------------
t2con	equ	0C8H	;Bit-adressierbar
t2ps	bit	t2con.7
i3fr	bit	t2con.6
i2fr	bit	t2con.5
t2r1	bit	t2con.4
t2r0	bit	t2con.3
t2cm	bit	t2con.2
t2i1	bit	t2con.1
t2i0	bit	t2con.0
tl2	equ	0CCH
th2	equ	0CDH
ccen	equ	0C1H
ccl1	equ	0C2H
cch1	equ	0C3H
ccl2	equ	0C4H
cch2	equ	0C5H
ccl3	equ	0C6H
cch3	equ	0C7H
crcl	equ	0CAH
crch	equ	0CBH
;================================================================
;	Serielle Schnittstelle
;----------------------------------------------------------------
scon	equ	098H	;Bit-adressierbar
sm0	bit	scon.7
sm1	bit	scon.6
sm2	bit	scon.5
ren	bit	scon.4
tb8	bit	scon.3
rb8	bit	scon.2
ti	bit	scon.1
ri	bit	scon.0
sbuf	equ	099H
;================================================================
;	Analog-Digital-Umsetzer
;----------------------------------------------------------------
adcon	equ	0D8H	;Bit-adressierbar
bd	bit	adcon.7
clk	bit	adcon.6
bsy	bit	adcon.4
adm	bit	adcon.3
mx2	bit	adcon.2
mx1	bit	adcon.1
mx0	bit	adcon.0
addat	equ	0D9H
dapr	equ	0DAH
;================================================================
;	Interrupts
;----------------------------------------------------------------
ip0	equ	0A9H
ip1	equ	0B9H
ien0	equ	0A8H	;bit-adressierbar
eal	bit	ien0.7
wdt	bit	ien0.6
et2	bit	ien0.5
es	bit	ien0.4
et1	bit	ien0.3
ex1	bit	ien0.2
et0	bit	ien0.1
ex0	bit	ien0.0
ien1	equ	0B8H	;bit-adressierbar
exen2	bit	ien1.7
swdt	bit	ien1.6
ex6	bit	ien1.5
ex5	bit	ien1.4
ex4	bit	ien1.3
ex3	bit	ien1.2
ex2	bit	ien1.1
eadc	bit	ien1.0
ircon	equ	0C0H	;bit-adressierbar
exf2	bit	ircon.7
tf2	bit	ircon.6
iex6	bit	ircon.5
iex5	bit	ircon.4
iex4	bit	ircon.3
iex3	bit	ircon.2
iex2	bit	ircon.1
iadc	bit	ircon.0
;=== Ende =======================================================
